<?php

require_once '../vendor/autoload.php';

use jrosset\CommandLine\Argument\Option\Flag;
use jrosset\CommandLine\Argument\Option\Value;
use jrosset\CommandLine\Argument\Parser\IntegerParser;
use jrosset\CommandLine\Argument\Parser\PathParser;
use jrosset\CommandLine\CommandLine;

$cmdline = new CommandLine('Test', 'Programme de test', 'php test.php');
$cmdline->addDefaultArguments();
$cmdline->addOption(new Flag('array_form', false, 'Sous la forme d\'un tableau ?' . "\n" . 'Ou pas'));
$cmdline->addOption((new Value('days', 'Nombre jour', new IntegerParser(0, 365)))->setDefault(3));
$cmdline->addOption((new Value('years', 'Nombre d\'années', new IntegerParser(0)))->setDefault(5));
$cmdline->addValue((new \jrosset\CommandLine\Argument\Value\Value('path', 'Chemin sauvegarde images', new PathParser(), true)));

$cmdline->addExitCode(0, 'OK');
$cmdline->addExitCode(255, 'Unexpected error' . "\n" . 'Unknown error');

$args = $cmdline->parse();
$cmdline->treatDefaultArguments($args, false);

echo "\n";
var_dump($args);
var_dump((string)$args->path);